package com.xhkjedu.smarking.mapper.paper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.paper.MsTemplate;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷扫描模板表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsTemplateMapper extends TkMapper<MsTemplate> {

    //根据msid查询试卷模板列表
    List<Map<String, Object>> listTemplatesByMsid(@Param("msid") Integer msid);

    //设置试卷模板信息
    int updateTemplateForCurrstep(@Param("t") MsTemplate t);
}
