package com.xhkjedu.smarking.service.paper;

import com.xhkjedu.smarking.mapper.paper.MsPaperBlockQuestionMapper;
import com.xhkjedu.smarking.model.paper.MsPaperBlockQuestion;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷试卷题块试题表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperBlockQuestionService {
    @Resource
    private MsPaperBlockQuestionMapper msPaperBlockQuestionMapper;

    /**
     * @Description 新增
     * @Param [msPaperBlockQuestion]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsPaperBlockQuestion msPaperBlockQuestion){
        msPaperBlockQuestionMapper.insert(msPaperBlockQuestion);
    }

    /**
     * @Description 列表
     * @Param [msPaperBlockQuestion]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.paper.MsPaperBlockQuestion>
     **/
    public List<MsPaperBlockQuestion> queryList(MsPaperBlockQuestion msPaperBlockQuestion){
        return msPaperBlockQuestionMapper.selectAll();
    }
}
