package com.xhkjedu.smarking.service.paper;

import com.xhkjedu.smarking.mapper.paper.MsPaperBlockMapper;
import com.xhkjedu.smarking.model.paper.MsPaperBlock;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷试卷题块 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperBlockService {
    @Resource
    private MsPaperBlockMapper msPaperBlockMapper;

    /**
     * @Description 新增
     * @Param [msPaperBlock]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsPaperBlock msPaperBlock){
        msPaperBlockMapper.insert(msPaperBlock);
    }

    /**
     * @Description 列表
     * @Param [msPaperBlock]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.paper.MsPaperBlock>
     **/
    public List<MsPaperBlock> queryList(MsPaperBlock msPaperBlock){
        return msPaperBlockMapper.selectAll();
    }
}
